Skip to main content

Get document

GET 

/documents/:documentId

Retrieves a document's details, i.e., metadata

Request

Path Parameters

    documentId stringrequired

    Document Identifier

Query Parameters

    siteId string

    Site Identifier

    artifactId string

    Artifact Document Identifier

    shareKey string

    Share Identifier

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    artifactId string

    Artifact Identifier

    promotedArtifactId string

    Promoted Artifact Identifier

    artifactCategory string

    Artifact Category

    hasArtifacts boolean

    Whether the document has artifact documents

    siteId string

    Site Identifier

    path string

    Path or Name of document

    width string

    Document Content Width property

    height string

    Document Content Height property

    deepLinkPath string

    Path or Name of deep link

    insertedDate string

    Inserted Timestamp

    lastModifiedDate string

    Last Modified Timestamp

    checksum string

    Document checksum, changes when document file changes

    checksumType ChecksumType (string)

    The type of checksum to use for file validation

    Possible values: [SHA1, SHA256, SHA512]

    documentId stringrequired

    Document Identifier

    contentType string

    Document Content-Type

    userId string

    User who added document

    contentLength integer

    Document size

    versionId string

    Document version

    documents

    object[]

    List of child documents

  • Array [

  • path string

    Path or Name of document

    width string

    Document Content Width property

    height string

    Document Content Height property

    deepLinkPath string

    Path or Name of deep link

    insertedDate string

    Inserted Timestamp

    lastModifiedDate string

    Last Modified Timestamp

    checksum string

    Document checksum, changes when document file changes

    documentId stringrequired

    Document Identifier

    hasArtifacts boolean

    Whether the document has artifact documents

    contentType string

    Document Content-Type

    userId string

    User who added document

    contentLength integer

    Document size

    versionId string

    Document version

    belongsToDocumentId string

    Parent Document Identifier

    attributes

    object[]

    List of document attributes

  • Array [

  • key string

    Attribute key

    stringValue string

    Attribute with string value

    stringValues string[]

    Attribute with string values

    numberValue number

    Attribute with number value

    numberValues number[]

    Attribute with number values

    booleanValue boolean

    Attribute with boolean value

    insertedDate string

    Inserted Timestamp

    userId string

    User who added attribute

    valueType AttributeValueType (string)

    Attribute Value Type

    Possible values: [BOOLEAN, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]

    entity

    object

    entityId string

    Entity identifier

    entityTypeId string

    Entity Type identifier

    name string

    Entity Name

    insertedDate string

    Inserted Timestamp

    attributes

    object[]

    List of Entity Attributes

  • Array [

  • key string

    Attribute key

    stringValue string

    Attribute with string value

    stringValues string[]

    Attribute with string values

    numberValue number

    Attribute with number value

    numberValues number[]

    Attribute with number values

    booleanValue boolean

    Attribute with boolean value

    valueType AttributeValueType (string)

    Attribute Value Type

    Possible values: [BOOLEAN, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]

  • ]

  • entities

    object[]

    Attribute with entity values

  • Array [

  • entityId string

    Entity identifier

    entityTypeId string

    Entity Type identifier

    name string

    Entity Name

    insertedDate string

    Inserted Timestamp

    attributes

    object[]

    List of Entity Attributes

  • Array [

  • key string

    Attribute key

    stringValue string

    Attribute with string value

    stringValues string[]

    Attribute with string values

    numberValue number

    Attribute with number value

    numberValues number[]

    Attribute with number values

    booleanValue boolean

    Attribute with boolean value

    valueType AttributeValueType (string)

    Attribute Value Type

    Possible values: [BOOLEAN, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]

  • ]

  • ]

  • ]

  • ]

  • belongsToDocumentId string

    Parent Document Identifier

    metadata

    object[]

    List of document Metadata

  • Array [

  • key string

    Metadata key

    value string

    Metadata value

    values string[]

    Metadata values

  • ]

Loading...